body {
    font-family: Georgia, 'Times New Roman', Times, serif;
    line-height: 1.6;
    color: #333;
    max-width: 1080px;
    margin: 0 auto;
    padding: 20px;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
}

h1 {
    font-size: 3em;
}

body > h1, body > h1 a:visited {
    color: green;
}

h1:hover {
    cursor: pointer;
}

h1 a {
    color: inherit;
    text-decoration: none;
}

h1 a:hover {
    text-decoration: none;
}

a {
    color: #007bff;
    text-decoration: underline;
}

a:visited {
    color: #663399; /* A shade of purple for visited links */
}

a:hover {
    text-decoration: underline;
}

ul {
    list-style-type: none;
    padding-left: 0;
}

li {
    margin-bottom: 10px;
}

.post-date {
    color: #888;
    margin-right: 15px;
}

.post-link {
    font-weight: bold;
}

.year-group {
    margin-top: 40px;
}

.container {
    display: flex;
    justify-content: space-between;
    margin-top: 2rem;
}

.main-content {
    width: 65%;
    font-size: 1.1em;
}

.main-content h1 {
    font-size: 2em;
}

.sidebar {
    width: 30%;
    padding-left: 20px;
    border-left: 1px solid #eee;
}

.sidebar h2 {
    font-size: 1.2rem;
    margin-top: 0;
}

footer {
    display: flex;
    justify-content: space-between;
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid #eee;
    color: #888;
    font-size: 0.9em;
}
